Informix

 View Only
  • 1.  Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 23 days ago
    Hello,

    In the doc i see

    - Red Hat Enterprise Linux ES release 8.0 (Kernel: 4.18.0-80,

              Glibc: 2.28-42). The following packages have to be installed:

     

              libaio-0.3.110

              libgcc_s1-8.2.1

              libstdc++6-8.2.1

              ncurses-utils-6.1-7

              pam-1.3.1-4

              elfutils-libelf-0.174-6


    When i try to install libgcc_s1 and ncurses-utils I get
    Error: Unable to find a match
    and yum whatprovides <package> gives
    Error: No Matches found

    But, I have in the system
    libgcc-8.5.0-10.el8.x86_64
    ncurses-6.1-9.20180224.el8.x86_64

    Is it OK ?

    Thanks

    ------------------------------
    Samuel
    ------------------------------


  • 2.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 23 days ago

    Hi Samuel,

    I think the informix installer needs libncurses.so.5 and libtinfo.so.5 to run.

    The workaround for that is :

    # cd /usr/lib64
    # ln -s libncurses.so.6.1 libncurses.so.5
    # ln -s libtinfo.so.6.1 libtinfo.so.5

    Cheers,

    Markus​

    ​​​

    ------------------------------
    Markus Holzbauer
    ------------------------------



  • 3.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 23 days ago
    Hi

    Indeed during the first try i had this message

    Prerequisite Verification Check

    -------------------------------

    One or more prerequisite system libraries are not installed on your computer.

    Install libncurses.so.5 and then restart the IBM Informix installation


    And according to advice I received I linked libncurses.so.5 to libncurses.so.6.1

    After that i was able to install informix.
    I didn't have message about libtinfo.so.5

    However, there remains the problem of the "missing packages"
    libgcc_s1 and ncurses-utils and i don't feel comfortable ignoring them.

    Thanks

    ------------------------------
    Samuel To
    ------------------------------



  • 4.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 23 days ago
    Might be a documentation issue. I don't think libgcc_s1 exists 
    in the redhat 8 world. Same for ncurses-utils.
    I found a reference for an older version in redhat 7 (marked as outdated).
    rpmfind lists only occurrances for Suse Linux instead.
    My suggestion: Give it a try to run without. 

    You can also check if all the dependencies are present by using the ldd command
    on each binary file which is running.
    $ cd <INFORMIXDIR>/bin
    $ export LD_LIBRARY_PATH=${INFORMIXDIR}/lib:${INFORMIXDIR}/lib/esql
    $ ldd * 
    You will see if any required library is missing on your system.
    This might be the case for some utilities which use external software, but 
    should not produce any "missing" output for the informix standard binaries
    (such as oninit, onstat, onmode, dbaccess etc.)
    For my installation (not running redhat). This e.g. gives a "not found"
    output for libcurses.so.5 for nsradmin and ism_watch
    and missing libXm.so.4 for ipload.

    These are all utilities we are not using at all, so we will won't run into any issues.

    Marcus Haarmann






  • 5.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 23 days ago
    Thanks

    ------------------------------
    Samuel To
    ------------------------------



  • 6.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 22 days ago
    There are errors in the package names listed under RHEL 8.0. A document defect has been logged.

    libgcc_s1 and ncurses-utils are the package names for SLES, not RHEL.

    The correct package name for RHEL should be libgcc and ncurses-compat-libs

    The version number for these two packages in RHEL 8.0 would be :
     

                 libgcc-8.2.1

                 ncurses-compat-libs-6.1-7

    Just make sure these two packages are installed as ncurses-compat-libs would create libncurses.so.5 which Informix requires.

    ------------------------------
    Casey Tan
    ------------------------------



  • 7.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 22 days ago
    The libgcc_s1 and ncurses-utils are the package names for SLES. A document defect has been submitted for this error.

    The correct names for RHEL 8.0 should be 

    ncurses-compat-libs-6.1-7
    and
    libgcc-8.2.1



    ------------------------------
    KHON CHIEK TAN
    ------------------------------



  • 8.  RE: Informix 14.10.FC8 on RHEL 8.6 installation - missing packages ?

    Posted 20 days ago
    thank you all

    ------------------------------
    Samuel To
    ------------------------------